incubator-jspwiki-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Janne Jalkanen <Janne.Jalka...@ecyrd.com>
Subject Re: Security issues following upgrade from 2.4 to 2.6.3
Date Sat, 09 Aug 2008 11:29:49 GMT

JSPWiki 2.6 no longer requires the JKS file and the JAAS file.  In  
fact, I think that forcing to use them may even kill the  
installation...  Also make sure that your jspwiki.policy is up to  
date with 2.6 content.

/Janne

On Aug 8, 2008, at 15:31 , Roland Whitehead wrote:

> Hi,
>
> I have just attempted to upgrade from 2.4 to 2.6.3 I created a  
> whole new install. I ran the basic install.jsp and all worked fine.  
> I edited the jspwiki.properties to point to my original pages  
> store, to my userdatabase.xml and groupdatabase.xml. Everything  
> else is as default. I can see all my pages as anonymous even  
> through they have ACLs on them. I can't log in even as admin as  
> Login.jsp?redirect=Main simply returns you to the same Login.jsp  
> rather than Main. I am using jaas with just the default settings.  
> The admin/SecurityConfig.jsp suggests that everything is fine and  
> the security policy restrictions are exactly as they should be.  
> jspwiki.security = jaas is at the bottom of my properties page.  
> There is a jspwiki.jks file (copied from our 2.4 install because it  
> wasn't present in the 2.6.3 .war) in the WEB-INF. Any ideas please?
>
> One of my colleagues has attempted to do it on an entirely separate  
> machine without any input from me and has got exactly the same  
> problem...
>
> If we can get this fixed then perhaps we might be able to complete  
> our JSPWiki2PDF plug-in so that you can all generate PDF pages from  
> Tabs in individual wiki pages!
>
> TIA
>
>
> Roland Whitehead


Mime
View raw message